import { EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NxtPagination implements OnInit {
    event: EventEmitter<any>;
    pageSizeOptions: number[];
    /** The total number of records */
    collectionSize: number;
    /** The number of records to display */
    pageSize: number;
    /** Current page */
    currentPage: number;
    /** The number of buttons to show either side of the current page */
    maxSize: number;
    /** Display the First/Last buttons */
    firstLastButtons: boolean;
    /** Display the Next/Previous buttons */
    nextPreviousButtons: boolean;
    /** Display small pagination buttons */
    small: boolean;
    totalPages: any[];
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    get startIndex(): number;
    get endIndex(): number;
    /** Set page number */
    selectPageNumber(pageNumber: number): void;
    /** Set next page number */
    next(): void;
    /** Set previous page number */
    previous(): void;
    onPageSizeChange(newSize: any): void;
    emit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NxtPagination, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NxtPagination, "nxt-pagination", never, { "pageSizeOptions": { "alias": "pageSizeOptions"; "required": false; }; "collectionSize": { "alias": "collectionSize"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "maxSize": { "alias": "maxSize"; "required": false; }; "firstLastButtons": { "alias": "firstLastButtons"; "required": false; }; "nextPreviousButtons": { "alias": "nextPreviousButtons"; "required": false; }; "small": { "alias": "small"; "required": false; }; }, { "event": "event"; }, never, never, true, never>;
}
